GitHub Release
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update GitHub Release action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Make GitHub Release",
"type": "GIT_HUB_RELEASE",
"trigger_time": "ON_EVERY_EXECUTION",
"draft": true,
"tag_name": "$BUDDY_RUN_ID",
"target_commitish": "$BUDDY_RUN_COMMIT",
"release_name": "app release",
"body": "body",
"prerelease": true,
"zip_assets": false,
"external_project_id": "buddy/repo-tests",
"organization": "buddy",
"assets": [
{
"source_path": "assets",
"label": "labelName"
}
],
"integration": {
"identifier": "github"
}
}'STATUS200 OK